export type CameraSetting = {
  settingsKey: string;
  value: boolean | number | string;
  platform: 'android' | 'ios' | 'all';
  label: string;
  min?: number;
  max?: number;
  step?: number;
};

export function renderIconForSetting(
  setting: CameraSetting,
):
  | 'flashlight'
  | 'flashlight-off'
  | 'floor-lamp'
  | 'floor-lamp-outline'
  | 'high-definition-box'
  | 'high-definition'
  | 'hdr'
  | 'hdr-off'
  | '';

export type RenderCameraSettingProps = {
  setting: CameraSetting;
  setSetting: (setting: CameraSetting) => void;
};

export function RenderCameraSetting(
  props: RenderCameraSettingProps,
): JSX.Element;

export type CameraSettingsProps = {
  settings: CameraSetting[];
  setSetting: (setting: CameraSetting) => void;
};

export default function CameraSettings(props: CameraSettingsProps): JSX.Element;
