import {ViewProps} from 'react-native';

/**
 * @interface
 * @param {number} radius - The radius of the circle.
 * @param {string} backgroundColor - The background color of the circle
 **/
export interface SafecamCircleProps extends ViewProps {
  radius?: number;
  backgroundColor?: string;
}

/**
 * @component
 * Represents a Circle instance
 * @param {number} radius - The radius of the circle.
 * @param {string} backgroundColor - The background color of the circle
 * @example
 * <Circle radius={10} backgroundColor="#fff"/>
 */
export default function SafecamCircle(props: SafecamCircleProps): JSX.Element;
